#ifndef __WMM_BTS_H__
#define __WMM_BTS_H__

#include "sysdef.h"

/*********************************************************
配置参数结构
**********************************************************/
#define ORDER_BTS_ID 0x0601         // 基站ID，32bit
#define ORDER_BTS_CARRIER_ID 0x0602 // 载波ID（1，2，3，4，5，6，7，8，9）
#define ORDER_BTS_TIMESLOT 0x0603   // 信号发送时隙（1，2，3，4）

typedef struct
{
    // 在一个项目中，基站ID、载波ID和发送时隙，三个字段标识一个基站
    uint8 abyBtsId[4]; // 基站ID
    uint8 byCarrierID; // 载波ID，1至9号载波
    uint8 byTimeslot;  // 信号时隙，1至4号时隙

    uint8 abyReserve[22]; // 保留，确保4字节对齐
} SAVE_BTS_T;

/*********************************************************
函数定义声明
**********************************************************/
// 供外部使用的接口
void wmm_bts_init(); // 模块初始化
void wmm_bts_set_param_with_default_data();
void wmm_bts_set_param_with_flash_data(uint8 *pbyData);
SAVE_BTS_T *wmm_bts_query_param(); // 查询参数

void wmm_bts_query(uint8 *pbyData);
void wmm_bts_config(uint8 *pbyData);

uint32 wmm_bts_query_bts_id();
uint8 wmm_bts_query_carrier_id();
uint8 wmm_bts_query_timeslot_id();
#endif
